/* =========================
   PAGE
========================= */
body {
    margin: 0;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

/* =========================
   FOND FLOUTÉ
========================= */
body::before {
    content: "";
    position: fixed;
    inset: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: blur(4px);
    transform: scale(1.1);
    z-index: -1;
}

@media (orientation: landscape) {
    body::before {
        background-image: url("Ressources/bg-paysage.PNG");
    }
}

@media (orientation: portrait) {
    body::before {
        background-image: url("Ressources/bg-portrait.PNG");
    }
}


/* =========================
   CARTE
========================= */
#invitation-card {
    position: relative;
    min-height: 80dvh;
    aspect-ratio: 3 / 4;
    cursor: pointer;
    transform-style: preserve-3d;
    transition: transform 1s ease;
}

#invitation-card.flipped {
    transform: rotateY(180deg);
}


/* =========================
   FACES
========================= */
#invitation-recto,
#invitation-verso {
    position: absolute;
    inset: 0;
    border-radius: 12px;
    overflow: hidden;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    box-shadow:
        0 10px 20px rgba(0, 0, 0, 0.10),
        0 30px 80px rgba(0, 0, 0, 0.25);
    filter: drop-shadow(0 35px 45px rgba(0, 0, 0, 0.35));
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

/* Recto */
#invitation-recto {
    background-image: url("Ressources/invitation-recto.PNG");
    background-color: antiquewhite;
}

/* Verso */
#invitation-verso {
    background-image: url("Ressources/invitation-verso.PNG");
    background-color: antiquewhite;
    transform: rotateY(180deg);
    padding: 20px;
    overflow-y: scroll;
}
#invitation-verso > h1 {
    text-align: center;
    font-family: "Amatic SC", cursive;
}
#invitation-verso > p {
    font-family: Savoye LET;
    font-size: 1.8rem;
    text-align: justify;
}
#invitation-verso > .reservation {
    font-weight: bold;
}
#invitation-verso > .signature {
    font-weight: bold;
}

/* =========================
   MOBILE
========================= */
@media (max-width: 480px) and (orientation: portrait) {
    #invitation-card {
        min-height: 60dvh;
        max-width: 97vw;
    }   
    #invitation-verso > h1 {
        font-size: 1.1rem;
    }
    #invitation-verso > p, #invitation-verso > .reservation {
       font-size: 0.9rem;
    }
    #invitation-verso > .signature {
        font-size: 0.9rem;
    }
}

@media (max-width: 768px) and (orientation: landscape) {
    #invitation-card {
        min-height: 60dvh;
    }   
    #invitation-verso > h1 {
        font-size: 0.7rem;
    }
    #invitation-verso > p, #invitation-verso > .reservation {
       font-size: 0.5rem;
    }
    #invitation-verso > .signature {
        font-size: 0.6rem;
    }
}